Index: /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/physiq_mod.F90	(revision 1647)
@@ -1190,205 +878,17 @@
          endif
 
-         ! Test water conservation
-         if(watertest)then
-            call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dWtot_tmp)
-            do ig = 1, ngrid
-               cadjncons(ig)=SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_vap))
-            enddo
-            call planetwide_sumval(massarea(:,:)*zdqadj(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-            dWtot = dWtot + dWtot_tmp
-            do ig = 1, ngrid
-               cadjncons(ig)=cadjncons(ig) + SUM(mass(ig,:)*zdqadj(ig,:,igcm_h2o_ice))
-            enddo            
-            call planetwide_maxval(cadjncons(:),nconsMAX)
-
-            if (is_master) then
-               print*,'In convadj atmospheric water change     =',dWtot,' kg m-2'
-               print*,'In convadj MAX non-cons factor          =',nconsMAX,' kg m-2 s-1'
-            endif
-            
-         endif ! end of 'watertest'
          
       endif ! end of 'calladj'
-
-!-----------------------------------------------
-!   V. Carbon dioxide condensation-sublimation :
-!-----------------------------------------------
-
-      if (co2cond) then
-      
-         if (.not.tracer) then
-            print*,'We need a CO2 ice tracer to condense CO2'
-            call abort
-         endif
-         call condense_co2(ngrid,nlayer,nq,ptimestep,                    &
-                           capcal,pplay,pplev,tsurf,pt,                  &
-                           pdt,zdtsurf,pq,pdq,                           &
-                           qsurf,zdqsurfc,albedo,emis,                   &
-                           albedo_bareground,albedo_co2_ice_SPECTV,      &
-                           zdtc,zdtsurfc,pdpsrf,zdqc)
-
-         pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+zdtc(1:ngrid,1:nlayer)
-         zdtsurf(1:ngrid)      = zdtsurf(1:ngrid) + zdtsurfc(1:ngrid)
-
-         pdq(1:ngrid,1:nlayer,1:nq)   = pdq(1:ngrid,1:nlayer,1:nq)+ zdqc(1:ngrid,1:nlayer,1:nq)
-         dqsurf(1:ngrid,igcm_co2_ice) = dqsurf(1:ngrid,igcm_co2_ice) + zdqsurfc(1:ngrid)
-
-         ! test energy conservation
-         if(enertest)then
-            call planetwide_sumval(cpp*massarea(:,:)*zdtc(:,:)/totarea_planet,dEtot)
-            call planetwide_sumval(capcal(:)*zdtsurfc(:)*cell_area(:)/totarea_planet,dEtots)
-            if (is_master) then
-               print*,'In co2cloud atmospheric energy change   =',dEtot,' W m-2'
-               print*,'In co2cloud surface energy change       =',dEtots,' W m-2'
-            endif
-         endif
-
-      endif  ! end of 'co2cond'
-
+      
 
 !---------------------------------------------
-!   VI. Specific parameterizations for tracers 
+!   V. Specific parameterizations for tracers 
 !---------------------------------------------
 
       if (tracer) then
       
-  ! ---------------------
-  !   VI.1. Water and ice
-  ! ---------------------
-         if (water) then
-
-            ! Water ice condensation in the atmosphere
-            if(watercond.and.(RLVTT.gt.1.e-8))then
-
-               dqmoist(1:ngrid,1:nlayer,1:nq)=0.
-               dtmoist(1:ngrid,1:nlayer)=0.
-               
-               ! Moist Convective Adjustment.
-               ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-               call moistadj(ngrid,nlayer,nq,pt,pq,pdq,pplev,pplay,dtmoist,dqmoist,ptimestep,rneb_man)
-
-               pdq(1:ngrid,1:nlayer,igcm_h2o_vap) = pdq(1:ngrid,1:nlayer,igcm_h2o_vap)     &
-                                                  + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)
-               pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = pdq(1:ngrid,1:nlayer,igcm_h2o_ice)     &
-                                                  + dqmoist(1:ngrid,1:nlayer,igcm_h2o_ice)
-               pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+dtmoist(1:ngrid,1:nlayer)
-
-               ! Test energy conservation.
-               if(enertest)then
-               
-                  call planetwide_sumval(cpp*massarea(:,:)*dtmoist(:,:)/totarea_planet,dEtot)
-                  call planetwide_maxval(dtmoist(:,:),dtmoist_max)
-                  call planetwide_minval(dtmoist(:,:),dtmoist_min)
-                  madjdEz(:,:)=cpp*mass(:,:)*dtmoist(:,:)
-                  do ig=1,ngrid
-                     madjdE(ig) = cpp*SUM(mass(:,:)*dtmoist(:,:))
-                  enddo
-                  
-                  if (is_master) then
-                     print*,'In moistadj atmospheric energy change   =',dEtot,' W m-2'
-                     print*,'In moistadj MAX atmospheric energy change   =',dtmoist_max*ptimestep,'K/step'
-                     print*,'In moistadj MIN atmospheric energy change   =',dtmoist_min*ptimestep,'K/step'
-                  endif
-                  
-                  call planetwide_sumval(massarea(:,:)*dqmoist(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+        &
-                                           massarea(:,:)*dqmoist(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-                  if (is_master) print*,'In moistadj atmospheric water change    =',dWtot,' kg m-2'
-                  
-               endif ! end of 'enertest'
-               
-
-               ! Large scale condensation/evaporation.
-               ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-               call largescale(ngrid,nlayer,nq,ptimestep,pplev,pplay,pt,pq,pdt,pdq,dtlscale,dqvaplscale,dqcldlscale,rneb_lsc)
-
-               pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+dtlscale(1:ngrid,1:nlayer)
-               pdq(1:ngrid,1:nlayer,igcm_h2o_vap) = pdq(1:ngrid,1:nlayer,igcm_h2o_vap)+dqvaplscale(1:ngrid,1:nlayer)
-               pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = pdq(1:ngrid,1:nlayer,igcm_h2o_ice)+dqcldlscale(1:ngrid,1:nlayer)
-
-               ! Test energy conservation.
-               if(enertest)then
-                  lscaledEz(:,:) = cpp*mass(:,:)*dtlscale(:,:)
-                  do ig=1,ngrid
-                     lscaledE(ig) = cpp*SUM(mass(:,:)*dtlscale(:,:))
-                  enddo
-                  call planetwide_sumval(cpp*massarea(:,:)*dtlscale(:,:)/totarea_planet,dEtot)
-
-                  if (is_master) print*,'In largescale atmospheric energy change =',dEtot,' W m-2'
-
-                  ! Test water conservation.
-                  call planetwide_sumval(massarea(:,:)*dqvaplscale(:,:)*ptimestep/totarea_planet+        &
-                                           SUM(massarea(:,:)*dqcldlscale(:,:))*ptimestep/totarea_planet,dWtot)
-                        
-                  if (is_master) print*,'In largescale atmospheric water change  =',dWtot,' kg m-2'
-               endif ! end of 'enertest'
-
-               ! Compute cloud fraction.
-               do l = 1, nlayer
-                  do ig=1,ngrid
-                     cloudfrac(ig,l)=MAX(rneb_lsc(ig,l),rneb_man(ig,l)) 
-                  enddo
-               enddo
-
-            endif ! end of 'watercond'
-           
-            ! Water ice / liquid precipitation.
-            ! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-            if(waterrain)then
-
-               zdqrain(1:ngrid,1:nlayer,1:nq) = 0.0
-               zdqsrain(1:ngrid)    = 0.0
-               zdqssnow(1:ngrid)    = 0.0
-
-               call rain(ngrid,nlayer,nq,ptimestep,pplev,pplay,pt,pdt,pq,pdq,            &
-                         zdtrain,zdqrain,zdqsrain,zdqssnow,cloudfrac)
-
-               pdq(1:ngrid,1:nlayer,igcm_h2o_vap) = pdq(1:ngrid,1:nlayer,igcm_h2o_vap) &
-                                                  + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)
-               pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = pdq(1:ngrid,1:nlayer,igcm_h2o_ice) &
-                                                  + zdqrain(1:ngrid,1:nlayer,igcm_h2o_ice)
-               pdt(1:ngrid,1:nlayer) = pdt(1:ngrid,1:nlayer)+zdtrain(1:ngrid,1:nlayer)
-               
-               dqsurf(1:ngrid,igcm_h2o_vap) = dqsurf(1:ngrid,igcm_h2o_vap)+zdqsrain(1:ngrid)
-               dqsurf(1:ngrid,igcm_h2o_ice) = dqsurf(1:ngrid,igcm_h2o_ice)+zdqssnow(1:ngrid) 
-
-               ! Test energy conservation.
-               if(enertest)then
-               
-                  call planetwide_sumval(cpp*massarea(:,:)*zdtrain(:,:)/totarea_planet,dEtot)
-                  if (is_master) print*,'In rain atmospheric T energy change       =',dEtot,' W m-2'
-                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)/totarea_planet*RLVTT/cpp,dItot_tmp)
-                  call planetwide_sumval(cell_area(:)*zdqssnow(:)/totarea_planet*RLVTT/cpp,dItot)
-                  dItot = dItot + dItot_tmp
-                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet,dVtot_tmp)
-                  call planetwide_sumval(cell_area(:)*zdqsrain(:)/totarea_planet*RLVTT/cpp,dVtot)
-                  dVtot = dVtot + dVtot_tmp
-                  dEtot = dItot + dVtot
-                  
-                  if (is_master) then
-                     print*,'In rain dItot =',dItot,' W m-2'
-                     print*,'In rain dVtot =',dVtot,' W m-2'
-                     print*,'In rain atmospheric L energy change       =',dEtot,' W m-2'
-                  endif
-
-                  ! Test water conservation
-                  call planetwide_sumval(massarea(:,:)*zdqrain(:,:,igcm_h2o_vap)*ptimestep/totarea_planet+        &
-                          massarea(:,:)*zdqrain(:,:,igcm_h2o_ice)*ptimestep/totarea_planet,dWtot)
-                  call planetwide_sumval((zdqsrain(:)+zdqssnow(:))*cell_area(:)*ptimestep/totarea_planet,dWtots)
-                  
-                  if (is_master) then
-                          print*,'In rain atmospheric water change        =',dWtot,' kg m-2'
-                          print*,'In rain surface water change            =',dWtots,' kg m-2'
-                          print*,'In rain non-cons factor                 =',dWtot+dWtots,' kg m-2'
-                  endif
-                  
-               endif ! end of 'enertest'
-
-            end if ! enf of 'waterrain'
-            
-         end if ! end of 'water'
-
+      
   ! -------------------------
-  !   VI.2. Aerosol particles
+  !   V.1. Aerosol particles
   ! -------------------------
 
@@ -1398,15 +898,4 @@
             zdqsed(1:ngrid,1:nlayer,1:nq) = 0.0
             zdqssed(1:ngrid,1:nq)  = 0.0
-
-            if(watertest)then
-           
-               iq=igcm_h2o_ice
-               call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
-               call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
-               if (is_master) then
-                        print*,'Before sedim pq  =',dWtot,' kg m-2'
-                  print*,'Before sedim pdq =',dWtots,' kg m-2'
-               endif
-            endif
            
             call callsedim(ngrid,nlayer,ptimestep,           &
@@ -1414,34 +903,13 @@
                           zdqsed,zdqssed,nq)
 
-            if(watertest)then
-               iq=igcm_h2o_ice
-               call planetwide_sumval(massarea(:,:)*pq(:,:,iq)*ptimestep/totarea_planet,dWtot)
-               call planetwide_sumval(massarea(:,:)*pdq(:,:,iq)*ptimestep/totarea_planet,dWtots)
-               if (is_master) then
-                        print*,'After sedim pq  =',dWtot,' kg m-2'
-                        print*,'After sedim pdq =',dWtots,' kg m-2'
-                 endif
-            endif
-
             ! Whether it falls as rain or snow depends only on the surface temperature
             pdq(1:ngrid,1:nlayer,1:nq) = pdq(1:ngrid,1:nlayer,1:nq) + zdqsed(1:ngrid,1:nlayer,1:nq)
             dqsurf(1:ngrid,1:nq) = dqsurf(1:ngrid,1:nq) + zdqssed(1:ngrid,1:nq)
 
-            ! Test water conservation
-            if(watertest)then
-               call planetwide_sumval(massarea(:,:)*(zdqsed(:,:,igcm_h2o_vap)+zdqsed(:,:,igcm_h2o_ice))*ptimestep/totarea_planet,dWtot)
-               call planetwide_sumval((zdqssed(:,igcm_h2o_vap)+zdqssed(:,igcm_h2o_ice))*cell_area(:)*ptimestep/totarea_planet,dWtots)
-               if (is_master) then
-                        print*,'In sedim atmospheric ice change         =',dWtot,' kg m-2'
-                        print*,'In sedim surface ice change             =',dWtots,' kg m-2'
-                        print*,'In sedim non-cons factor                =',dWtot+dWtots,' kg m-2'
-               endif
-            endif
-
          end if ! end of 'sedimentation'
 
 
   ! ---------------
-  !   VI.3. Updates
+  !   V.2. Updates
   ! ---------------
 
@@ -1449,9 +917,5 @@
          if(mass_redistrib) then
 
-            zdmassmr(1:ngrid,1:nlayer) = mass(1:ngrid,1:nlayer) *     &
-               (   zdqevap(1:ngrid,1:nlayer)                          &
-                 + zdqrain(1:ngrid,1:nlayer,igcm_h2o_vap)             &
-                 + dqmoist(1:ngrid,1:nlayer,igcm_h2o_vap)             &
-                 + dqvaplscale(1:ngrid,1:nlayer) )
+            zdmassmr(1:ngrid,1:nlayer) = mass(1:ngrid,1:nlayer) * zdqevap(1:ngrid,1:nlayer)
 
             do ig = 1, ngrid
@@ -1464,5 +928,5 @@
 
             call mass_redistribution(ngrid,nlayer,nq,ptimestep,                     &
-                                     rnat,capcal,pplay,pplev,pt,tsurf,pq,qsurf,     &
+                                     capcal,pplay,pplev,pt,tsurf,pq,qsurf,          &
                                      pu,pv,pdt,zdtsurf,pdq,pdu,pdv,zdmassmr,        &
                                      zdtmr,zdtsurfmr,zdpsrfmr,zdumr,zdvmr,zdqmr,zdqsurfmr)
@@ -1478,79 +942,9 @@
          endif
 
-  ! ------------------
-  !   VI.4. Slab Ocean
-  ! ------------------
-
-         if (ok_slab_ocean)then
-
-            do ig=1,ngrid
-               qsurfint(:,igcm_h2o_ice)=qsurf(:,igcm_h2o_ice)
-            enddo
-
-            call ocean_slab_ice(ptimestep,                          &
-                                ngrid, knindex, tsea_ice, fluxrad,  &
-                                zdqssnow, qsurf(:,igcm_h2o_ice),    &
-                              - zdqsdif(:,igcm_h2o_vap),            &
-                                flux_sens_lat,tsea_ice, pctsrf_sic, &
-                                taux,tauy,icount)
-
-
-            call ocean_slab_get_vars(ngrid,tslab,      &
-                                     sea_ice, flux_o,  &
-                                     flux_g, dt_hdiff, &
-                                     dt_ekman)
-   
-            do ig=1,ngrid
-               if (nint(rnat(ig)).eq.1)then
-                  tslab(ig,1) = 0.
-                  tslab(ig,2) = 0.
-                  tsea_ice(ig) = 0.
-                  sea_ice(ig) = 0.
-                  pctsrf_sic(ig) = 0.
-                  qsurf(ig,igcm_h2o_ice) = qsurfint(ig,igcm_h2o_ice)
-               endif
-            enddo
-
-         endif ! end of 'ok_slab_ocean'
-
   ! -----------------------------
-  !   VI.5. Surface Tracer Update
+  !   V.3. Surface Tracer Update
   ! -----------------------------
 
-         if(hydrology)then
-            
-            call hydrol(ngrid,nq,ptimestep,rnat,tsurf,qsurf,dqsurf,dqs_hyd, &
-                        capcal,albedo,albedo_bareground,                    &
-                        albedo_snow_SPECTV,albedo_co2_ice_SPECTV,           &
-                        mu0,zdtsurf,zdtsurf_hyd,hice,pctsrf_sic,            &
-                        sea_ice)
-
-            zdtsurf(1:ngrid)     = zdtsurf(1:ngrid) + zdtsurf_hyd(1:ngrid)
-            dqsurf(1:ngrid,1:nq) = dqsurf(1:ngrid,1:nq) + dqs_hyd(1:ngrid,1:nq)
-            
-            qsurf(1:ngrid,1:nq) = qsurf(1:ngrid,1:nq) + ptimestep*dqsurf(1:ngrid,1:nq)
-
-            ! Test energy conservation
-            if(enertest)then
-               call planetwide_sumval(cell_area(:)*capcal(:)*zdtsurf_hyd(:)/totarea_planet,dEtots)
-               if (is_master) print*,'In hydrol surface energy change     =',dEtots,' W m-2'
-            endif
-
-            ! test water conservation
-            if(watertest)then
-               call planetwide_sumval(dqs_hyd(:,igcm_h2o_ice)*cell_area(:)*ptimestep/totarea_planet,dWtots)
-               if (is_master) print*,'In hydrol surface ice change            =',dWtots,' kg m-2'
-                  call planetwide_sumval(dqs_hyd(:,igcm_h2o_vap)*cell_area(:)*ptimestep/totarea_planet,dWtots)
-               if (is_master) then
-                  print*,'In hydrol surface water change          =',dWtots,' kg m-2'
-                  print*,'---------------------------------------------------------------'
-               endif
-            endif
-
-         else ! of if (hydrology)
-
-            qsurf(1:ngrid,1:nq) = qsurf(1:ngrid,1:nq) + ptimestep*dqsurf(1:ngrid,1:nq)
-
-         end if ! of if (hydrology)
+        qsurf(1:ngrid,1:nq) = qsurf(1:ngrid,1:nq) + ptimestep*dqsurf(1:ngrid,1:nq)
 
          ! Add qsurf to qsurf_hist, which is what we save in diagfi.nc. At the same time, we set the water 
@@ -1558,30 +952,15 @@
          qsurf_hist(:,:) = qsurf(:,:)
 
-         if(ice_update)then
-            ice_min(1:ngrid)=min(ice_min(1:ngrid),qsurf(1:ngrid,igcm_h2o_ice))
-         endif
-
       endif! end of if 'tracer'
 
 
 !------------------------------------------------
-!   VII. Surface and sub-surface soil temperature 
+!   VI. Surface and sub-surface soil temperature 
 !------------------------------------------------
 
 
       ! Increment surface temperature
-      if(ok_slab_ocean)then
-         do ig=1,ngrid
-           if (nint(rnat(ig)).eq.0)then
-             zdtsurf(ig)= (tslab(ig,1)              &
-             + pctsrf_sic(ig)*(tsea_ice(ig)-tslab(ig,1))-tsurf(ig))/ptimestep
-           endif
-           tsurf(ig)=tsurf(ig)+ptimestep*zdtsurf(ig)
-         enddo
-   
-      else
-        tsurf(1:ngrid)=tsurf(1:ngrid)+ptimestep*zdtsurf(1:ngrid) 
-      endif ! end of 'ok_slab_ocean'
-
+
+      tsurf(1:ngrid)=tsurf(1:ngrid)+ptimestep*zdtsurf(1:ngrid) 
 
       ! Compute soil temperatures and subsurface heat flux.
@@ -1592,29 +971,4 @@
 
 
-      if (ok_slab_ocean) then
-      
-         do ig=1,ngrid
-         
-            fluxgrdocean(ig)=fluxgrd(ig)
-            if (nint(rnat(ig)).eq.0) then
-               capcal(ig)=capcalocean
-               fluxgrd(ig)=0.
-               fluxgrdocean(ig)=pctsrf_sic(ig)*flux_g(ig)+(1-pctsrf_sic(ig))*(dt_hdiff(ig,1)+dt_ekman(ig,1))
-               do iq=1,nsoilmx
-                  tsoil(ig,iq)=tsurf(ig)
-               enddo
-               if (pctsrf_sic(ig).gt.0.5) then
-                  capcal(ig)=capcalseaice
-                  if (qsurf(ig,igcm_h2o_ice).gt.0.) then
-                     capcal(ig)=capcalsno
-                  endif
-               endif               
-            endif
-            
-         enddo
-         
-      endif !end of 'ok_slab_ocean'
-
-
       ! Test energy conservation
       if(enertest)then
@@ -1625,5 +979,5 @@
 
 !---------------------------------------------------
-!   VIII. Perform diagnostics and write output files
+!   VII. Perform diagnostics and write output files
 !---------------------------------------------------
 
@@ -1757,65 +1111,6 @@
          ! Generalised for arbitrary aerosols now. By LK
          reffcol(1:ngrid,1:naerkind)=0.0
-         if(co2cond.and.(iaero_co2.ne.0))then
-            call co2_reffrad(ngrid,nlayer,nq,zq,reffrad(1,1,iaero_co2))
-            do ig=1,ngrid
-               reffcol(ig,iaero_co2) = SUM(zq(ig,1:nlayer,igcm_co2_ice)*reffrad(ig,1:nlayer,iaero_co2)*mass(ig,1:nlayer))
-            enddo
-         endif
-         if(water.and.(iaero_h2o.ne.0))then
-            call h2o_reffrad(ngrid,nlayer,zq(1,1,igcm_h2o_ice),zt, &
-                             reffrad(1,1,iaero_h2o),nueffrad(1,1,iaero_h2o))
-            do ig=1,ngrid
-               reffcol(ig,iaero_h2o) = SUM(zq(ig,1:nlayer,igcm_h2o_ice)*reffrad(ig,1:nlayer,iaero_h2o)*mass(ig,1:nlayer))
-            enddo
-         endif
 
       endif ! end of 'tracer'
-
-
-      ! Test for water conservation.
-      if(water)then
-
-         call planetwide_sumval(cell_area(:)*qsurf_hist(:,igcm_h2o_ice)/totarea_planet,icesrf)
-         call planetwide_sumval(cell_area(:)*qsurf_hist(:,igcm_h2o_vap)/totarea_planet,liqsrf)
-         call planetwide_sumval(cell_area(:)*qcol(:,igcm_h2o_ice)/totarea_planet,icecol)
-         call planetwide_sumval(cell_area(:)*qcol(:,igcm_h2o_vap)/totarea_planet,vapcol)
-
-         h2otot = icesrf + liqsrf + icecol + vapcol
-         
-         if (is_master) then
-            print*,' Total water amount [kg m^-2]: ',h2otot
-            print*,' Surface ice    Surface liq.   Atmos. con.     Atmos. vap. [kg m^-2] '
-            print*, icesrf,liqsrf,icecol,vapcol
-         endif
-
-         if(meanOLR .and. is_master)then
-            if((ngrid.gt.1) .or. (mod(icount-1,ecritphy).eq.0))then
-               ! to record global water balance
-               open(98,file="h2o_bal.out",form='formatted',position='append')
-               write(98,*) zday,icesrf,liqsrf,icecol,vapcol
-               close(98)
-            endif
-         endif
-
-      endif
-
-
-      ! Calculate RH (Relative Humidity) for diagnostic.
-      if(water)then
-      
-         do l = 1, nlayer
-            do ig=1,ngrid
-               call Psat_water(zt(ig,l),pplay(ig,l),psat_tmp,qsat(ig,l))
-               RH(ig,l) = zq(ig,l,igcm_h2o_vap) / qsat(ig,l)
-            enddo
-         enddo
-
-         ! Compute maximum possible H2O column amount (100% saturation).
-         do ig=1,ngrid
-            H2Omaxcol(ig) = SUM( qsat(ig,:) * mass(ig,:))
-         enddo
-
-      endif ! end of 'water'
 
 
@@ -1838,32 +1133,4 @@
          ztime_fin = ptime + ptimestep/(float(iphysiq)*daysec)
 
-         ! Update surface ice distribution to iterate to steady state if requested
-         if(ice_update)then
-
-            do ig=1,ngrid
-
-               delta_ice = (qsurf(ig,igcm_h2o_ice)-ice_initial(ig))
-               
-               ! add multiple years of evolution
-               qsurf_hist(ig,igcm_h2o_ice) = qsurf_hist(ig,igcm_h2o_ice) + delta_ice*icetstep 
-
-               ! if ice has gone -ve, set to zero
-               if(qsurf_hist(ig,igcm_h2o_ice).lt.0.0)then
-                  qsurf_hist(ig,igcm_h2o_ice) = 0.0 
-               endif
-
-               ! if ice is seasonal, set to zero (NEW)
-               if(ice_min(ig).lt.0.01)then
-                  qsurf_hist(ig,igcm_h2o_ice) = 0.0 
-               endif
-
-            enddo
-
-            ! enforce ice conservation
-            ice_tot= SUM(qsurf_hist(:,igcm_h2o_ice)*cell_area(:) )/SUM(cell_area(:))
-            qsurf_hist(:,igcm_h2o_ice) = qsurf_hist(:,igcm_h2o_ice)*(icesrf/ice_tot)
-
-         endif
-
          if (ngrid.ne.1) then
             write(*,*)'PHYSIQ: for physdem ztime_fin =',ztime_fin
@@ -1871,13 +1138,6 @@
             call physdem1("restartfi.nc",nsoilmx,ngrid,nlayer,nq, &
                           ptimestep,ztime_fin,                    &
-                          tsurf,tsoil,emis,q2,qsurf_hist,         &
-                          cloudfrac,totcloudfrac,hice,            &
-                          rnat,pctsrf_sic,tslab,tsea_ice,sea_ice)
-         endif
-
-         if(ok_slab_ocean) then
-            call ocean_slab_final!(tslab, seaice)
-         end if
-
+                          tsurf,tsoil,emis,q2,qsurf_hist)
+         endif
          
       endif ! end of 'lastcall'
@@ -1937,34 +1197,6 @@
 
             end do
-            
-            if (water) then
-               vmr=zq(1:ngrid,1:nlayer,igcm_h2o_vap)*mugaz/mmol(igcm_h2o_vap)
-               call wstats(ngrid,"vmr_h2ovapor",                             &
-                           "H2O vapour volume mixing ratio","mol/mol",       & 
-                           3,vmr)
-            endif
 
          endif ! end of 'tracer' 
-
-         if(watercond.and.CLFvarying)then
-            call wstats(ngrid,"rneb_man","H2O cloud fraction (conv)"," ",3,rneb_man)
-            call wstats(ngrid,"rneb_lsc","H2O cloud fraction (large scale)"," ",3,rneb_lsc)
-            call wstats(ngrid,"CLF","H2O cloud fraction"," ",3,cloudfrac)
-            call wstats(ngrid,"CLFt","H2O column cloud fraction"," ",2,totcloudfrac)
-            call wstats(ngrid,"RH","relative humidity"," ",3,RH)
-         endif
-
-         if (ok_slab_ocean) then
-            call wstats(ngrid,"dt_hdiff1","dt_hdiff1","K/s",2,dt_hdiff(:,1))
-            call wstats(ngrid,"dt_hdiff2","dt_hdiff2","K/s",2,dt_hdiff(:,2))
-            call wstats(ngrid,"dt_ekman1","dt_ekman1","K/s",2,dt_ekman(:,1))
-            call wstats(ngrid,"dt_ekman2","dt_ekman2","K/s",2,dt_ekman(:,2))
-            call wstats(ngrid,"tslab1","tslab1","K",2,tslab(:,1))
-            call wstats(ngrid,"tslab2","tslab2","K",2,tslab(:,2))
-            call wstats(ngrid,"pctsrf_sic","pct ice/sea","",2,pctsrf_sic)
-            call wstats(ngrid,"tsea_ice","tsea_ice","K",2,tsea_ice)
-            call wstats(ngrid,"sea_ice","sea ice","kg/m2",2,sea_ice)
-            call wstats(ngrid,"rnat","nature of the surface","",2,rnat)
-         endif
 
          if(lastcall) then
@@ -2003,19 +1235,4 @@
 !        call writediagsoil(ngrid,"temp","temperature","K",3,tsoil)
 
-      ! Oceanic layers
-      if(ok_slab_ocean) then
-         call writediagfi(ngrid,"pctsrf_sic","pct ice/sea","",2,pctsrf_sic)
-         call writediagfi(ngrid,"tsea_ice","tsea_ice","K",2,tsea_ice)
-         call writediagfi(ngrid,"sea_ice","sea ice","kg/m2",2,sea_ice)
-         call writediagfi(ngrid,"tslab1","tslab1","K",2,tslab(:,1))
-         call writediagfi(ngrid,"tslab2","tslab2","K",2,tslab(:,2))
-         call writediagfi(ngrid,"dt_hdiff1","dt_hdiff1","K/s",2,dt_hdiff(:,1))
-         call writediagfi(ngrid,"dt_hdiff2","dt_hdiff2","K/s",2,dt_hdiff(:,2))
-         call writediagfi(ngrid,"dt_ekman1","dt_ekman1","K/s",2,dt_ekman(:,1))
-         call writediagfi(ngrid,"dt_ekman2","dt_ekman2","K/s",2,dt_ekman(:,2))
-         call writediagfi(ngrid,"rnat","nature of the surface","",2,rnat)
-         call writediagfi(ngrid,"sensibFlux","sensible heat flux","w.m^-2",2,sensibFlux)
-         call writediagfi(ngrid,"latentFlux","latent heat flux","w.m^-2",2,zdqsdif(:,igcm_h2o_vap)*RLVTT)
-      endif
       
 
@@ -2037,9 +1254,6 @@
 !           call writediagfi(ngrid,"fluxsurflwcs","lw back radiation (cs).","W m-2",2,fluxsurf_lw1)
 
-         if(ok_slab_ocean) then
-            call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrdocean)
-         else
-            call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrd)
-         endif
+
+         call writediagfi(ngrid,"GND","heat flux from ground","W m-2",2,fluxgrd)
          
          call writediagfi(ngrid,"DYN","dynamical heat input","W m-2",2,fluxdyn)
@@ -2065,16 +1279,4 @@
          endif
           
-         if(watercond) then
-
-            call writediagfi(ngrid,"lscaledE","heat from largescale","W m-2",2,lscaledE) 
-            call writediagfi(ngrid,"madjdE","heat from moistadj","W m-2",2,madjdE)
-            call writediagfi(ngrid,"qsatatm","atm qsat"," ",3,qsat)
-             
-!             call writediagfi(ngrid,"lscaledEz","heat from largescale","W m-2",3,lscaledEz) 
-!             call writediagfi(ngrid,"madjdEz","heat from moistadj","W m-2",3,madjdEz)             
-!             call writediagfi(ngrid,"h2o_max_col","maximum H2O column amount","kg.m^-2",2,H2Omaxcol)
-
-         endif
-          
       endif ! end of 'enertest'
 
@@ -2087,17 +1289,6 @@
         
         ! For Debugging.
-        !call writediagfi(ngrid,'rnat','Terrain type',' ',2,real(rnat))
         !call writediagfi(ngrid,'pphi','Geopotential',' ',3,pphi)
         
-
-      ! Output aerosols.
-      if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
-         call writediagfi(ngrid,'CO2ice_reff','CO2ice_reff','m',3,reffrad(1,1,iaero_co2))
-      if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
-         call writediagfi(ngrid,'H2Oice_reff','H2Oice_reff','m',3,reffrad(:,:,iaero_h2o))
-      if (igcm_co2_ice.ne.0.and.iaero_co2.ne.0) &
-         call writediagfi(ngrid,'CO2ice_reffcol','CO2ice_reffcol','um kg m^-2',2,reffcol(1,iaero_co2))
-      if (igcm_h2o_ice.ne.0.and.iaero_h2o.ne.0) &
-         call writediagfi(ngrid,'H2Oice_reffcol','H2Oice_reffcol','um kg m^-2',2,reffcol(1,iaero_h2o))
 
       ! Output tracers.
@@ -2114,26 +1305,4 @@
 !                          'kg m^-2',2,qsurf(1,iq) )                          
 
-            if(watercond.or.CLFvarying)then
-               call writediagfi(ngrid,"rneb_man","H2O cloud fraction (conv)"," ",3,rneb_man)
-               call writediagfi(ngrid,"rneb_lsc","H2O cloud fraction (large scale)"," ",3,rneb_lsc)
-               call writediagfi(ngrid,"CLF","H2O cloud fraction"," ",3,cloudfrac)
-               call writediagfi(ngrid,"CLFt","H2O column cloud fraction"," ",2,totcloudfrac)
-               call writediagfi(ngrid,"RH","relative humidity"," ",3,RH)
-            endif
-
-            if(waterrain)then
-               call writediagfi(ngrid,"rain","rainfall","kg m-2 s-1",2,zdqsrain)
-               call writediagfi(ngrid,"snow","snowfall","kg m-2 s-1",2,zdqssnow)
-            endif
-
-            if((hydrology).and.(.not.ok_slab_ocean))then
-               call writediagfi(ngrid,"hice","oceanic ice height","m",2,hice)
-            endif
-
-            if(ice_update)then
-               call writediagfi(ngrid,"ice_min","min annual ice","m",2,ice_min)
-               call writediagfi(ngrid,"ice_ini","initial annual ice","m",2,ice_initial)
-            endif
-
             do ig=1,ngrid
                if(tau_col(ig).gt.1.e3)then
